Commit e3c56c9e authored by Mathis Rosenhauer's avatar Mathis Rosenhauer

Ship test and benchmark data with dist

parent 0caa5349
2016-08-16 Mathis Rosenhauer <rosenhauer@dkrz.de> Include CCSDS test data with libaec. See THANKS
Better compatibility with OSX for make check Better compatibility with OSX for make check
Allow Cygwin to build DLLs Allow Cygwin to build DLLs
2016-08-16 Mathis Rosenhauer <rosenhauer@dkrz.de>
v0.3.4 v0.3.4
Pad incomplete last line when in SZ compatibility mode Pad incomplete last line when in SZ compatibility mode
...@@ -14,7 +16,7 @@ ...@@ -14,7 +16,7 @@
Fixed bug with zero blocks in the last RSI (reference sample Fixed bug with zero blocks in the last RSI (reference sample
interval) when data size is not a multiple of RSIs or segments (64 interval) when data size is not a multiple of RSIs or segments (64
blocks) and the zero region reaches a sement boundary. blocks) and the zero region reaches a segment boundary.
Vectorization improvement for Intel compiler Vectorization improvement for Intel compiler
......
Thanks to the chairman of CCSDS SLS-MHDC, Aaron Kiely, to let us
distribute BB121B2 test data with libaec. The data files are used
during 'make check'.
The most recent version of the data is available from the CCSDS web
site:
http://cwe.ccsds.org/sls/docs/Forms/AllItems.aspx?RootFolder=%2Fsls%2Fdocs%2FSLS%2DDC%2FBB121B2TestData&
...@@ -22,11 +22,12 @@ check_szcomp_SOURCES = check_szcomp.c $(top_builddir)/src/szlib.h ...@@ -22,11 +22,12 @@ check_szcomp_SOURCES = check_szcomp.c $(top_builddir)/src/szlib.h
LDADD = libcheck_aec.la $(top_builddir)/src/libaec.la LDADD = libcheck_aec.la $(top_builddir)/src/libaec.la
check_szcomp_LDADD = $(top_builddir)/src/libsz.la check_szcomp_LDADD = $(top_builddir)/src/libsz.la
EXTRA_DIST = sampledata.sh szcomp.sh benc.sh bdec.sh CMakeLists.txt EXTRA_DIST = sampledata.sh szcomp.sh benc.sh bdec.sh CMakeLists.txt data
szcomp.log: sampledata.log szcomp.log: sampledata.log
bench: benc bdec bench: benc bdec
benc: benc:
$(srcdir)/benc.sh $(srcdir)/benc.sh $(srcdir)/data/typical.rz
bdec: bdec:
$(srcdir)/bdec.sh $(srcdir)/bdec.sh
.PHONY: bench benc bdec .PHONY: bench benc bdec
#!/bin/sh #!/bin/sh
set -e set -e
TEST_DATA=$1
AEC=../src/aec AEC=../src/aec
test_data=https://gitlab.dkrz.de/k202009/libaec/raw/master/data/typical.rz
if [ ! -f typical.dat ]; then
rm -f typical.rz
type curl >/dev/null 2>&1 || {
echo >&2 "curl not found. Please download $test_data by other means and place it in tests. Aborting."
exit 1
}
curl $test_data -O || {
echo >&2 "Could not download $test_data. Please download it by other means and place it in tests. Aborting."
exit 1
}
$AEC -d -n16 -j64 -r256 -m typical.rz typical.dat
rm -f bench.dat
fi
if [ ! -f bench.dat ]; then if [ ! -f bench.dat ]; then
rm -f typical.dat
$AEC -d -n16 -j64 -r256 -m $TEST_DATA typical.dat
for i in $(seq 0 499); for i in $(seq 0 499);
do do
cat typical.dat >> bench.dat cat typical.dat >> bench.dat
......
#!/bin/sh #!/bin/sh
set -e set -e
AEC=../src/aec AEC=../src/aec
CCSDS_DATA=121B2TestData CCSDS_DATA=${srcdir}/data/121B2TestData
ALLO=${CCSDS_DATA}/AllOptions ALLO=${CCSDS_DATA}/AllOptions
EXTP=${CCSDS_DATA}/ExtendedParameters EXTP=${CCSDS_DATA}/ExtendedParameters
LOWE=${CCSDS_DATA}/LowEntropyOptions LOWE=${CCSDS_DATA}/LowEntropyOptions
archive=121B2TestData.zip
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
if [ ! -f $archive ]; then
type curl >/dev/null 2>&1 || {
echo >&2 "curl not found. Please download $archive_url by other means and place it in tests.\nAborting."
exit 1
}
curl $archive_url -O || {
echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting."
exit 1
}
fi
type unzip >/dev/null 2>&1 || {
echo >&2 "unzip not found. Please install unzip or unpack $archive in tests.\nAborting."
exit 1
}
unzip -oq $archive
filesize () { filesize () {
wc -c $1 | awk '{print $1}' wc -c $1 | awk '{print $1}'
...@@ -56,7 +39,6 @@ cosdec () { ...@@ -56,7 +39,6 @@ cosdec () {
} }
echo All Options echo All Options
mv -f ${ALLO}/test_P512n22.dat ${ALLO}/test_p512n22.dat
for i in 01 02 03 04 for i in 01 02 03 04
do do
uf=$ALLO/test_p256n${i}.dat uf=$ALLO/test_p256n${i}.dat
......
#!/bin/sh #!/bin/sh
set -e set -e
testfile=121B2TestData/ExtendedParameters/sar32bit.dat testfile=${srcdir}/data/121B2TestData/ExtendedParameters/sar32bit.dat
if [ ! -f $testfile ]; then if [ ! -f $testfile ]; then
echo "ERROR: sample data not found." echo "ERROR: sample data not found."
exit -1 exit -1
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment